SolrJ-1.4.0 client needs slf4j-jdk14-1.5.5 library on J2SE 1.5 Update 21

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

SolrJ-1.4.0 client needs slf4j-jdk14-1.5.5 library on J2SE 1.5 Update 21

Sharp, Jonathan

I've found that when running a SolrJ client on J2SE 1.5 Update 21, in addition to the jars in the the dist/solrj-lib directory I need slf4j-jdk14-1.5.5.jar in the lib directory, otherwise I get an exception where it can't find org.slf4j.impl.StaticLoggerBinder.

-Jon




---------------------------------------------------------------------
SECURITY/CONFIDENTIALITY WARNING:  
This message and any attachments are intended solely for the individual or entity to which they are addressed. This communication may contain information that is privileged, confidential, or exempt from disclosure under applicable law (e.g., personal health information, research data, financial information). Because this e-mail has been sent without encryption, individuals other than the intended recipient may be able to view the information, forward it to others or tamper with the information without the knowledge or consent of the sender. If you are not the intended recipient, or the employee or person responsible for delivering the message to the intended recipient, any dissemination, distribution or copying of the communication is strictly prohibited. If you received the communication in error, please notify the sender immediately by replying to this message and deleting the message and any accompanying files from your system. If, due to the security risks, you do not wish to receive further communications via e-mail, please reply to this message and inform the sender that you do not wish to receive further e-mail from the sender.

---------------------------------------------------------------------

Reply | Threaded
Open this post in threaded view
|

Re: SolrJ-1.4.0 client needs slf4j-jdk14-1.5.5 library on J2SE 1.5 Update 21

Jan Høydahl / Cominvent
Hi,

SolrJ uses slf4j logging. As you can read on the wiki http://wiki.apache.org/solr/Solrj#Solr_1.4 you need to provide the slf4j-jdk14 binding (or any other log framework you wish to bind to) yourself and add the jar to your classpath.

--
Jan Høydahl, search solution architect
Cominvent AS - www.cominvent.com
Training in Europe - www.solrtraining.com

On 3. juli 2010, at 03.44, Sharp, Jonathan wrote:

>
> I've found that when running a SolrJ client on J2SE 1.5 Update 21, in addition to the jars in the the dist/solrj-lib directory I need slf4j-jdk14-1.5.5.jar in the lib directory, otherwise I get an exception where it can't find org.slf4j.impl.StaticLoggerBinder.
>
> -Jon
>
>
>
>
> ---------------------------------------------------------------------
> SECURITY/CONFIDENTIALITY WARNING:  
> This message and any attachments are intended solely for the individual or entity to which they are addressed. This communication may contain information that is privileged, confidential, or exempt from disclosure under applicable law (e.g., personal health information, research data, financial information). Because this e-mail has been sent without encryption, individuals other than the intended recipient may be able to view the information, forward it to others or tamper with the information without the knowledge or consent of the sender. If you are not the intended recipient, or the employee or person responsible for delivering the message to the intended recipient, any dissemination, distribution or copying of the communication is strictly prohibited. If you received the communication in error, please notify the sender immediately by replying to this message and deleting the message and any accompanying files from your system. If, due to the security risks, you do not wish to receive further communications via e-mail, please reply to this message and inform the sender that you do not wish to receive further e-mail from the sender.
>
> ---------------------------------------------------------------------
>